package com.hp.user.service.impl;

import com.baomidou.mybatisplus.extension.toolkit.SqlHelper;
import com.hp.user.client.entity.CustomerCompanyVO;
import com.hp.user.client.service.CustomerCompanyService;
import com.hp.user.service.dao.CustomerCompanyMapper;
import com.hp.user.service.entity.CustomerCompany;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 企业/公司 服务实现类
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */
@Service
public class CustomerCompanyServiceImpl implements CustomerCompanyService {
    @Autowired
    private CustomerCompanyMapper customerCompanyMapper;
    @Override
    public boolean insert(CustomerCompanyVO company) {
        CustomerCompany temp=new CustomerCompany();
        BeanUtils.copyProperties(company,temp);
        // 判断数据库操作是否成功
        return SqlHelper.retBool(customerCompanyMapper.insert(temp));
    }

    @Override
    public boolean delete(Long companyId) {
        // 判断数据库操作是否成功
        return SqlHelper.retBool(customerCompanyMapper.deleteById(companyId));
    }

    @Override
    public boolean update(CustomerCompanyVO company) {
        CustomerCompany temp=new CustomerCompany();
        BeanUtils.copyProperties(company,temp);
        // 判断数据库操作是否成功
        return SqlHelper.retBool(customerCompanyMapper.updateById(temp));
    }

    @Override
    public CustomerCompanyVO queryCompanyByCompanyId(Long companyId) {
        return null;
    }

    @Override
    public List<CustomerCompanyVO> queryAllCompany() {
        return null;
    }
}
